// header for the position/velocity, multiple measurement (position and velocity) 
// model

#ifndef KALMANPVMMV_H
#define KALMANPVMMV_H

#include "kalmanbase.H"

class Pose;

// kalman filter for a position/velocity model with a multiple  measurement
// (i.e., position and velocity)
class KalmanPVMMV : public KalmanBase, public ExtendedKalmanBase,
                    public UnscentedKalmanBase
{
  public:
    KalmanPVMMV();
    virtual ~KalmanPVMMV();

    void initialize(double specd, double dt, double pn, double qn, 
                    double dv, int ukfflag);
    Pose * filter(Pose *userpos, double pinterval);

  protected: 
    int    _ctr;
    int    _ukfflag;

};


#endif
