// header file for the Maybeck Style, 3 Model MMAE Component Wise

#ifndef MMAE3MODELC_H
#define MMAE3MODELC_H

#include "mmaebase.H"
#include "types.H"

class Pose;


class MMAE3ModelComp
{
  public:
   MMAE3ModelComp();
   virtual ~MMAE3ModelComp() { }

   void initialize(double specd, double dt, double pn, double qn, CombinerType cmb);
   Pose * filter(Pose *userpos, double pinterval);
  
   int getHighestModel(int i);

 protected:
  int  _ctr;
  CombinerType _cmb;

  MMAEKalmanBaseCompWise _kfmod[3];   // three individual models
  double _kfprob[3][3];       // need to hold the conditional probabilities

};


#endif
